unit formex_demo;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, FormEx;

type
  TForm1 = class(TForm)
    FormEx1: TFormEx;
    Trans: TCheckBox;
    Button1: TButton;
    Snap: TCheckBox;
    ColorDialog1: TColorDialog;
    ColorDialog2: TColorDialog;
    Button2: TButton;
    Button3: TButton;
    Color1: TLabel;
    Color2: TLabel;
    Grad: TCheckBox;
    Image: TCheckBox;
    Label1: TLabel;
    Edit1: TEdit;
    Button4: TButton;
    OpenDialog1: TOpenDialog;
    Width: TCheckBox;
    Height: TCheckBox;
    Top: TCheckBox;
    Left: TCheckBox;
    Right: TCheckBox;
    Bottom: TCheckBox;
    MinMax: TCheckBox;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
    procedure Button4Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.Button1Click(Sender: TObject);
begin
  if (Trans.Checked = true) then
    FormEx1.Transparent := true
  else
    FormEx1.Transparent := false;

  if (Snap.Checked = true) then
    FormEx1.SnapToDesktopSides := true
  else
    FormEx1.SnapToDesktopSides := false;

  if (Width.Checked = true) then
    FormEx1.DockingTakesWidth := true
  else
    FormEx1.DockingTakesWidth := false;
  if (Height.Checked = true) then
    FormEx1.DockingTakesHeight := true
  else
    FormEx1.DockingTakesHeight := false;

  if (Top.Checked = true) then
  begin
    FormEx1.DockToSidesOnly := true;
    FormEx1.DockType := dtTop;
  end
  else
  if (Left.Checked = true) then
  begin
    FormEx1.DockToSidesOnly := true;
    FormEx1.DockType := dtLeft;
  end
  else
  if (Right.Checked = true) then
  begin
    FormEx1.DockToSidesOnly := true;
    FormEx1.DockType := dtRight;
  end
  else
  if (Bottom.Checked = true) then
  begin
    FormEx1.DockToSidesOnly := true;
    FormEx1.DockType := dtBottom;
  end
  else
  begin
    FormEx1.DockToSidesOnly := false;
  end;

  if (MinMax.Checked = true) then
  begin
    FormEx1.HasMaxHeight := true;
    FormEx1.HasMinHeight := true;
    FormEx1.HasMaxWidth := true;
    FormEx1.HasMinWidth := true;

    FormEx1.MaxHeight := 500;
    FormEx1.MinHeight := 200;
    FormEx1.MaxWidth := 500;
    FormEx1.MinWidth := 200;
  end;

  if (Grad.Checked = true) then
  begin
    FormEx1.GradientFromColor := Color1.Color;
    FormEx1.GradientToColor := Color2.Color;
    FormEx1.BackgroundType := baGradient;
    FormEx1.Refresh;
  end
  else if (Image.Checked = true) then
  begin
    FormEx1.Background := Edit1.Text;
    FormEx1.BackgroundType := baBackImage;
    FormEx1.Refresh;
  end
  else
  begin
    FormEx1.BackgroundType := baNormal;
    FormEx1.Refresh;
  end;
  FormEx1.Refresh;
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
  ColorDialog1.Execute;
  color1.Color := ColorDialog1.Color;
end;

procedure TForm1.Button3Click(Sender: TObject);
begin
  ColorDialog2.Execute;
  color2.Color := ColorDialog2.Color;
end;

procedure TForm1.Button4Click(Sender: TObject);
begin
  OpenDialog1.Filter := 'Image Files (*.bmp, *.jpg)|*.bmp;*.jpg';
  OpenDialog1.Execute;
  Edit1.Text := OpenDialog1.Filename;
end;

end.
